package com.gyee.frame.controller.file;

import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 组态升压站控制器
 *
 * @author xysn
 */
@CrossOrigin
@RestController
@RequestMapping("/api/boost_station")
public class BoostStationController {
    @Resource
    private BoostStationSvc boostStationSvc;

    /**
     * 获取升压站信息
     *
     * @return 升压站信息
     */
    @GetMapping("/booststation")
    public ShapeInfo getShapeInfos(@RequestParam(value = "id") String id) {
        return boostStationSvc.getBoostStationInfo(id);
    }

    /**
     * 获取svg文件
     */
    @GetMapping("/svg")
    public String getSvgFile(@RequestParam(value = "id") String id) {
        return boostStationSvc.getSvgFile(id);
    }


    /**
     * 获取触发器和测点
     */
    @GetMapping("/svginfo")
    public SvgInfo getSvgInfo(@RequestParam(value = "id") String id) {
        return boostStationSvc.getSvgInfo(id);
    }
}
